하위 벤더 추가
curl --request POST \
--url https://api.steppay.kr/api/v1/vendors/{vendorUuid}/children \
--header 'Content-Type: application/json' \
--header 'Secret-Token: <api-key>' \
--data '
{
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.steppay.kr/api/v1/vendors/{vendorUuid}/children"
payload = {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"password": "<string>"
}
headers = {
"Secret-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Secret-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', email: '<string>', phone: '<string>', password: '<string>'})
};
fetch('https://api.steppay.kr/api/v1/vendors/{vendorUuid}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstManagerUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manager": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"nickname": "<string>",
"enabled": true,
"emailVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"phone": "<string>",
"choo": "<string>"
},
"name": "<string>",
"description": "<string>",
"secretKey": "<string>",
"paymentKey": "<string>",
"deliveryCharge": {
"useDefaultCourier": true,
"useDeliveryCharge": true,
"useLocalShipCharge": true,
"jejuShipAmount": 123,
"islandAndMountainShipAmount": 123,
"defaultCourierId": "<string>",
"defaultDeliveryCharge": 123,
"freeShipOverAmount": 123
},
"vendorSettings": {
"vatIncluded": true,
"vatRate": 123,
"notiBeforePayment": true,
"notiBeforePaymentDays": 123,
"usageAutoRefund": true,
"paymentAmountScale": 123,
"notiBeforePaymentTime": {
"hour": 123,
"minute": 123,
"second": 123,
"nano": 123
},
"workspace": "<string>",
"customDomain": {
"domain": "<string>"
}
},
"checkFirstActivation": true,
"surveyed": true,
"useDormantCustomer": true,
"useDormantNotification": true,
"apps": [
{
"productCode": "<string>",
"priceCode": "<string>",
"installed": true,
"subscriptionId": 123,
"settings": "<string>"
}
],
"useAuth": true,
"useStore": true,
"usePayout": true,
"zoneId": "<string>",
"currency": "<string>",
"currencyLock": true,
"id": 123,
"parentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"realmKeycloakId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"realmName": "<string>",
"realmEmailAsUsername": true,
"featuredImageUrl": "<string>",
"email": "<string>",
"wordpress": {
"consumerKey": "<string>",
"consumerSecret": "<string>"
},
"contactUrl": "<string>",
"checkFailStepbuilder": "<string>",
"vendorTerms": {
"useCheckBox": true,
"termsAgree": [
{
"field": true,
"title": "<string>",
"order": 123,
"content": "<string>"
}
]
}
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}벤더 API
하위 벤더 추가
POST
/
api
/
v1
/
vendors
/
{vendorUuid}
/
children
하위 벤더 추가
Authorizations
Path Parameters
Response
정상적으로 추가됨
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I